Package uk.ac.starlink.topcat

# Enum Class ColumnSearchWindow.SearchScope

java.lang.Object
java.lang.Enum<ColumnSearchWindow.SearchScope>
uk.ac.starlink.topcat.ColumnSearchWindow.SearchScope

All Implemented Interfaces:
  `Serializable`, `Comparable<ColumnSearchWindow.SearchScope>`, `Constable`

Enclosing class:
  ColumnSearchWindow

public static enum ColumnSearchWindow.SearchScope extends Enum<ColumnSearchWindow.SearchScope>
Enum for search target scope.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTAINS`
Target string contains match text.
`FULL`
Whole target string is matched by match text.

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`matches(Matcher matcher)`
Indicates whether a regex matcher matches according to this scope.
`String`
`toString()`
`static ColumnSearchWindow.SearchScope`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ColumnSearchWindow.SearchScope[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTAINS

public static final ColumnSearchWindow.SearchScope CONTAINS
Target string contains match text.

### FULL

public static final ColumnSearchWindow.SearchScope FULL
Whole target string is matched by match text.

## Method Details

### values

public static ColumnSearchWindow.SearchScope[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ColumnSearchWindow.SearchScope valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### matches

public abstract boolean matches(Matcher matcher)
Indicates whether a regex matcher matches according to this scope.

Parameters:
  `matcher` - matcher
Returns:
  true iff match is achieved

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ColumnSearchWindow.SearchScope>`